Skip to main content
`Ctrl`+`K`

# SNESVIGetActiveSetIS

Gets the global indices for the active set variables

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVIGetActiveSetIS(SNES snes, Vec X, Vec F, IS *ISact)

## Input Parameters

- snes - the `SNES` context

- X - the `snes` solution vector

- F - the nonlinear function vector

## Output Parameter

- ISact - active set index set

## Note

See `SNESVINEWTONRSLS` for a concise description of the active and inactive sets

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESVINEWTONRSLS`, `SNESVINEWTONSSLS`

## Level

developer

## Location

src/snes/impls/vi/vi.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages